#include <iostream>
#include <algorithm>
#include <vector>
#include <cmath>
#include <climits>

int main() {
    int m, n, h, t, min_signal = 0;

    std::cin >> m;

    std::vector<int> houses(m, 0);

    for (int i = 0; i < m; i++) {
        std::cin >> houses[i];
    }

    std::cin >> n;

    std::vector<int> transmitters(n, 0);

    for (int i = 0; i < n; i++) {
        std::cin >> transmitters[i];
    }

    std::sort(houses.begin(), houses.end());
    std::sort(transmitters.begin(), transmitters.end());

    // Prodji kroz sve kuce i traži minimalnu snagu signala
    // potrebnu da bi bile pokrivene svi predajnici koji ih pokrivaju
    for (int h : houses) {
        int curr_min_signal = INT_MAX; // Postavimo na GRANICU INT-a da bi sigurno pronašli manju vrednost

        // Pretraga transmisera
        for (int i = 0; i < n; i++) {
            if (transmitters[i] < h) {
                continue; // Pomicemo se naprijed i dalje tražimo odgovarajuci predajnik
            }
            int dist = std::abs(transmitters[i] - h);

            // Ako predajnik ne pokriva kucu, iza koje se nalazi trenutni predajnik, prekidamo petlju
            if (dist > curr_min_signal) {
                break;
            }
            curr_min_signal = dist;

        }

        // Ako je minimalna snaga signala za kucu veca od minimalne snage signala za ostale kuce,
        // postavljamo tu vrednost kao novu minimalnu snagu signala
        min_signal = std::max(min_signal, curr_min_signal);
    }

    std::cout << min_signal << "\n";
    return 0;
}