#include <iostream>
#include <algorithm>
#include <vector>

int main() {
    int m, n;
    std::cin >> m;

    std::vector<int> houses(m);
    for (int i = 0; i < m; i++) {
        std::cin >> houses[i];
    }

    std::cin >> n;
    int left = 0, right = 1e6;

    while (left < right) {
        // Trenutna snaga
        int mid = (left + right) / 2;

        // Da li je trenutna snaga dovoljna za pokrivanje svih kuca
        bool ok = true;
        int pos = 0;
        for (int i = 0; i < n; i++) {
            int reach = std::max(0, pos - mid) + 2 * mid;
            if (reach < houses[pos]) {
                ok = false;
                break;
            }
            while (pos < m-1 && houses[pos+1] <= reach) {
                pos++;
            }
        }

        // Smanjujemo opseg ili zakljucujemo da imamo minimalnu snagu
        if (ok) {
            right = mid;
        } else {
            left = mid + 1;
        }
    }

    std::cout << left << std::endl;

    return 0;
}