#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main() {
    int broj_kuca, broj_predajnika;
    cin >> broj_kuca; // Broj kuca
    vector<int> kuce(broj_kuca);
    for (int i = 0; i < broj_kuca; i++) {
        cin >> kuce[i];
    }

    cin >> broj_predajnika; // Broj predajnika
    vector<int> predajnici(broj_predajnika);
    for (int i = 0; i < broj_predajnika; i++) {
        cin >> predajnici[i];
    }

    sort(kuce.begin(), kuce.end());
    sort(predajnici.begin(), predajnici.end());

    int donja_granica = 0;
    int gornja_granica = 2 * (max(kuce.back(), predajnici.back()) - min(kuce.front(), predajnici.front()));
    int rezultat = -1;

    while (donja_granica <= gornja_granica) {
        int srednja_vrednost = (donja_granica + gornja_granica) / 2;
        int i = 0;
        int j = 0;
        bool moguce = true;

        while (i < broj_kuca && j < broj_predajnika) {
            if (abs(kuce[i] - predajnici[j]) <= srednja_vrednost) {
                i++;
            } else {
                j++;
            }
        }

        if (i == broj_kuca) {
            rezultat = srednja_vrednost;
            gornja_granica = srednja_vrednost - 1;
        } else {
            donja_granica = srednja_vrednost + 1;
        }
    }

    cout << rezultat << endl;

    return 0;
}