#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main() {
    int x1, y1, x2, y2;
    cin >> x1 >> y1 >> x2 >> y2;

    int n;
    cin >> n;
    vector<int> vertical_lasers(n);
    for (int i = 0; i < n; i++) {
        cin >> vertical_lasers[i];
    }

    int m;
    cin >> m;
    vector<int> horizontal_lasers(m);
    for (int i = 0; i < m; i++) {
        cin >> horizontal_lasers[i];
    }

    sort(vertical_lasers.begin(), vertical_lasers.end());
    sort(horizontal_lasers.begin(), horizontal_lasers.end());

    int min_lasers_to_disable = 0;

    // Pronalazimo koliko vertikalnih lasera moramo iskljuciti
    if (x1 != x2) {
        int min_x = min(x1, x2);
        int max_x = max(x1, x2);
        auto it1 = lower_bound(vertical_lasers.begin(), vertical_lasers.end(), min_x);
        auto it2 = upper_bound(vertical_lasers.begin(), vertical_lasers.end(), max_x);
        min_lasers_to_disable += it2 - it1;
    }

    // Pronalazimo koliko horizontalnih lasera moramo iskljuciti
    if (y1 != y2) {
        int min_y = min(y1, y2);
        int max_y = max(y1, y2);
        auto it1 = lower_bound(horizontal_lasers.begin(), horizontal_lasers.end(), min_y);
        auto it2 = upper_bound(horizontal_lasers.begin(), horizontal_lasers.end(), max_y);
        min_lasers_to_disable += it2 - it1;
    }

    cout << min_lasers_to_disable << endl;

    return 0;
}