#include <iostream>
#include <vector>
#include <algorithm>
#include <climits>

int minimalna_snaga_kuca(std::vector<int>& kuce, std::vector<int>& predajnici) {
    std::sort(kuce.begin(), kuce.end());
    std::sort(predajnici.begin(), predajnici.end());

    int najduzi_interval = kuce.back() - kuce.front();

    int minimalna_snaga = 0;

    for (int k : kuce) {
        int najblizi_predajnik = INT_MAX;
        for (int p : predajnici) {
            int distanca = abs(k - p);
            if (distanca < najblizi_predajnik) {
                najblizi_predajnik = distanca;
            }
        }
        if (najblizi_predajnik > minimalna_snaga) {
            minimalna_snaga = najblizi_predajnik;
        }
    }

    minimalna_snaga = std::max(minimalna_snaga, najduzi_interval % 2);

    return minimalna_snaga;
}

int main() {
    int m, n;
    std::cin >> m;
    std::vector<int> kuce(m);
    for (int i = 0; i < m; i++) {
        std::cin >> kuce[i];
    }
    std::cin >> n;
    std::vector<int> predajnici(n);
    for (int i = 0; i < n; i++) {
        std::cin >> predajnici[i];
    }

    int minimalna_snaga = minimalna_snaga_kuca(kuce, predajnici);

    std::cout << minimalna_snaga << std::endl;

    return 0;
}