#include <iostream>
#include <vector>
#include <algorithm>
using namespace std;
int main() {
    int m, n;
    cin >> m;
    vector<int> houses(m);

    for (int i = 0; i < m; i++) {
        cin >> houses[i];
    }

    cin >> n;
    vector<int> transmitters(n);

    for (int i = 0; i < n; i++) {
        cin >> transmitters[i];
    }

    sort(houses.begin(), houses.end());
   sort(transmitters.begin(), transmitters.end());

    int min_signal_strength = 0;
    int left = 0, right = 0;

    while (left < m && right < n) {
        int house_position = houses[left];
        int transmitter_position = transmitters[right];

        if (house_position >= transmitter_position) {
            min_signal_strength = max(min_signal_strength, house_position - transmitter_position);
            left++;
        } else {
            if (right + 1 < n) {
                int next_transmitter_position = transmitters[right + 1];
                int distance_to_next_transmitter = next_transmitter_position - house_position;

                if (distance_to_next_transmitter <= min_signal_strength) {
                    right++;
                } else {
                    min_signal_strength = distance_to_next_transmitter;
                    left++;
                }
            } else {
                min_signal_strength = max(min_signal_strength, house_position - transmitter_position);
                left++;
            }
        }
    }

    cout << min_signal_strength-1 << std::endl;

    return 0;
}