#include <iostream>
#include <vector>
#include <algorithm>

int main() {
    int m, n;
    std::cin >> m;

    std::vector<int> houses(m);
    for (int i = 0; i < m; i++) {
        std::cin >> houses[i];
    }

    std::cin >> n;

    std::vector<int> transmitters(n);
    for (int i = 0; i < n; i++) {
        std::cin >> transmitters[i];

    std::sort(houses.begin(), houses.end());
    std::sort(transmitters.begin(), transmitters.end());

    int left = 0;
    int right = 2 * (std::max(houses[m - 1], transmitters[n - 1]) - std::min(houses[0], transmitters[0]));
    int result = -1;

    while (left <= right) {
        int mid = (left + right) / 2;
        int current_transmitter = 0;
        int count = 0;

        for (int i = 0; i < m; i++) {
            if (houses[i] > transmitters[current_transmitter] + mid) {
                current_transmitter++;
                if (current_transmitter == n) {
                    break;
                }
                i--;
            } else if (houses[i] < transmitters[current_transmitter] - mid) {
                count = std::numeric_limits<int>::max();
                break;
            }
        }

        if (count == std::numeric_limits<int>::max()) {
            left = mid + 1;
        } else {
            result = mid;
            right = mid - 1;
        }
    }

    std::cout << result << std::endl;

    return 0;
}