#include <iostream>
#include <vector>
#include <algorithm>

int main() {
    int m, n;
    std::cin >> m;
    std::vector<int> houses(m);
    for (int i = 0; i < m; ++i) {
        std::cin >> houses[i];
    }

    std::cin >> n;
    std::vector<int> transmitters(n);
    for (int i = 0; i < n; ++i) {
        std::cin >> transmitters[i];
    }

    std::sort(houses.begin(), houses.end());
    std::sort(transmitters.begin(), transmitters.end());

    int min_power = 0;
    int left = 0, right = 0;
    while (left < m && right < n) {
        int distance = std::abs(houses[left] - transmitters[right]);
        while (right < n - 1 && std::abs(houses[left] - transmitters[right + 1]) <= distance) {
            ++right;
            distance = std::abs(houses[left] - transmitters[right]);
        }
        min_power = std::max(min_power, distance);
        ++left;
    }

    std::cout << min_power << std::endl;

    return 0;
}