def can_cover_all_houses(houses, transmitters, power):
    i = 0
    j = 0
    n = len(houses)
    m = len(transmitters)

    while i < n and j < m:
        if houses[i] >= transmitters[j] - power and houses[i] <= transmitters[j] + power:
            i += 1
        else:
            j += 1

    return i == n

def find_min_power(houses, transmitters):
    houses.sort()
    transmitters.sort()
    low = 0
    high = max(transmitters[-1] - houses[0], houses[-1] - transmitters[0])

    while low < high:
        mid = (low + high) // 2
        if can_cover_all_houses(houses, transmitters, mid):
            high = mid
        else:
            low = mid + 1

    return low

m = int(input(0 106))  # Broj kuca
houses = list(map(int, input(0 106).split()))  # Lokacije kuca
n = int(input(2))  # Broj predajnika
transmitters = list(map(int, input(4).split()))  # Lokacije predajnika

min_power = find_min_power(houses, transmitters)
print(min_power)