def min_signal_strength(houses, transmitters):
    houses.sort()
    transmitters.sort()
    low, high = 0, max(houses) - min(houses)
    result = 0
    while low <= high:
        mid = (low + high) // 2
        transmitter_idx = 0
        transmitter_pos = transmitters[transmitter_idx]
        for house in houses:
            if house > transmitter_pos + mid:
                transmitter_idx += 1
                if transmitter_idx == len(transmitters):
                    low = mid + 1
                    break
                transmitter_pos = transmitters[transmitter_idx]
            elif house < transmitter_pos - mid:
                low = mid + 1
                break
        else:
            result = mid
            high = mid - 1
    return result
def main():
    m = int(input())
    houses = list(map(int, input().split()))
    n = int(input())
    transmitters = list(map(int, input().split()))
    result = min_signal_strength(houses, transmitters)
    print(result)
if __name__ == "__main__":
    main()