#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main() {
    int m, n;
    cin >> m; // Broj kuca
    vector<int> kuce(m);

    for (int i = 0; i < m; i++) {
        cin >> kuce[i];
    }

    cin >> n; // Broj predajnika
    vector<int> predajnici(n);

    for (int i = 0; i < n; i++) {
        cin >> predajnici[i];
    }

    sort(kuce.begin(), kuce.end());
    sort(predajnici.begin(), predajnici.end());

    int donja_granica = 0;
    int gornja_granica = 2 * max(kuce.back(), predajnici.back());
    int rezultat = -1;

    while (donja_granica <= gornja_granica) {
        int srednja = (donja_granica + gornja_granica) / 2;
        int trenutni_predajnik = 0;
        int i = 0;

        while (i < m && trenutni_predajnik < n) {
            if (kuce[i] >= predajnici[trenutni_predajnik] - srednja &&
                kuce[i] <= predajnici[trenutni_predajnik] + srednja) {
                i++;
            } else {
                trenutni_predajnik++;
            }
        }

        if (i == m) {
            rezultat = srednja;
            gornja_granica = srednja - 1;
        } else {
            donja_granica = srednja + 1;
        }
    }

    cout << rezultat << endl;

}