#include <iostream>
#include <vector>

struct Point {
    int x, y;
};

bool isIntersecting(int x1, int y1, int x2, int y2, int x, int y) {
    return (x == x1 && ((y >= y1 && y <= y2) || (y >= y2 && y <= y1))) || 
           (y == y1 && ((x >= x1 && x <= x2) || (x >= x2 && x <= x1)));
}

int main() {
    Point start, diamond;
    std::cin >> start.x >> start.y;
    std::cin >> diamond.x >> diamond.y;

    int n, m;
    std::cin >> n;
    std::vector<int> vertical(n);
    for (int i = 0; i < n; ++i) {
        std::cin >> vertical[i];
    }

    std::cin >> m;
    std::vector<int> horizontal(m);
    for (int i = 0; i < m; ++i) {
        std::cin >> horizontal[i];
    }

    int count = 0;
    for (int i = 0; i < n; ++i) {
        if (isIntersecting(start.x, start.y, diamond.x, diamond.y, vertical[i], start.y)) {
            count++;
        }
    }

    for (int i = 0; i < m; ++i) {
        if (isIntersecting(start.x, start.y, diamond.x, diamond.y, start.x, horizontal[i])) {
            count++;
        }
    }

    std::cout << count << std::endl;

    return 0;
}