def can_cover_all_houses(houses, transmitters, power):
    transmitter_idx = 0
    for house in houses:
        while (transmitter_idx < len(transmitters) and
               transmitters[transmitter_idx] <= house):
            transmitter_idx += 1
        transmitter_idx -= 1  # Predi na prethodni predajnik
        if abs(transmitters[transmitter_idx] - house) > power:
            return False
    return True

def min_signal_power(houses, transmitters):
    houses.sort()
    transmitters.sort()
    left, right = 0, max(houses[-1], transmitters[-1])
    
    while left < right:
        mid = (left + right) // 2
        if can_cover_all_houses(houses, transmitters, mid):
            right = mid
        else:
            left = mid + 1
    
    return left

# Ucitavanje ulaznih podataka
m = int(input())
houses = list(map(int, input().split()))
n = int(input())
transmitters = list(map(int, input().split()))

result = min_signal_power(houses, transmitters)
print(result)