def min_signal_strength(m, house_positions, n, transmitter_positions):
    house_positions.sort()
    transmitter_positions.sort()
    
    left, right = 0, max(house_positions) * 2  # Inicijalno postavljamo opseg pretrage
    result = None
    
    while left <= right:
        mid = (left + right) // 2  # Srednja vrednost sadašnjeg opsega
        
        transmitter_count = 0  # Brojac predajnika
        current_transmitter = 0  # Trenutna pozicija predajnika
        
        # Pokušavamo postaviti predajnike tako da pokriju sve kuce
        for house_position in house_positions:
            if current_transmitter == n:
                break
            
            # Ako trenutna kuca nije pokrivena, postavljamo novi predajnik na maksimalnoj mogucoj udaljenosti
            if house_position > transmitter_positions[current_transmitter] + mid:
                while current_transmitter < n and transmitter_positions[current_transmitter] < house_position:
                    current_transmitter += 1
                if current_transmitter < n:
                    transmitter_count += 1
                    current_transmitter += 1
        
        if transmitter_count == n:
            # Ako smo uspeli da pokrijemo sve kuce sa trenutnim signalom, smanjujemo desni opseg
            result = mid
            right = mid - 1
        else:
            # Inace, povecavamo levi opseg
            left = mid + 1
    
    return result

# Ucitavanje ulaznih podataka
m = int(input())
house_positions = list(map(int, input().split()))
n = int(input())
transmitter_positions = list(map(int, input().split()))

# Poziv funkcije i ispis rezultata
result = min_signal_strength(m, house_positions, n, transmitter_positions)
print(result)