def generate_n_tuples(N, P):
    def is_valid_tuple(t):
        # Funkcija koja proverava da li N-torka zadovoljava uslove
        for i in range(N - 3):
            # Proveravamo svake 4 uzastopna broja
            sub_tuple = t[i:i + 4]
            distinct_values = len(set(sub_tuple))
            if distinct_values < 3:
                return False
        return True

    def next_tuple(t):
        # Funkcija koja generiše sledecu N-torku leksikografski
        i = N - 1
        while i >= 0 and t[i] == 4:
            t[i] = 1
            i -= 1
        if i >= 0:
            t[i] += 1

    # Pocetna N-torka sa vrednostima 1
    current_tuple = [1] * N
    result = []

    while len(result) < min(P, 4 ** N):
        if is_valid_tuple(current_tuple):
            result.append(''.join(map(str, current_tuple)))
        next_tuple(current_tuple)

    for t in result:
        print(t)

# Ucitavanje ulaza
N = int(input())
P = int(input())

# Poziv funkcije za generisanje N-torki
generate_n_tuples(N, P)