#include <stdio.h>
#include <stdlib.h>

int compare(const void *a, const void *b) {
    return (*(int *)a - *(int *)b);
}

int main() {
    int m, n;
    scanf("%d", &m);
    int *houses = (int *)malloc(m * sizeof(int));
    for (int i = 0; i < m; i++) {
        scanf("%d", &houses[i]);
    }
    scanf("%d", &n);
    int *transmitters = (int *)malloc(n * sizeof(int));
    for (int i = 0; i < n; i++) {
        scanf("%d", &transmitters[i]);
    }

    // Sort the arrays
    qsort(houses, m, sizeof(int), compare);
    qsort(transmitters, n, sizeof(int), compare);

    // Find the minimum signal strength
    int minSignalStrength = 0;
    int houseIndex = 0;
    int transmitterIndex = 0;
    while (houseIndex < m && transmitterIndex < n) {
        int distance = abs(houses[houseIndex] - transmitters[transmitterIndex]);
        if (distance <= minSignalStrength) {
            houseIndex++;
        } else {
            minSignalStrength = distance;
            transmitterIndex++;
        }
    }

    printf("%d\n", minSignalStrength);

    free(houses);
    free(transmitters);

    return 0;
}